hiedb-0.6.0.0: Generates a references DB from .hie files

Safe Haskell | None
Language | Haskell2010

HieDb.Html

# Documentation

data Color #

Constructors

Reachable |
Unreachable |

#### Instances

Instances details

Read Color # |
Instance details Defined in HieDb.Html Methods readsPrec :: Int -> ReadS Color # readList :: ReadS [Color] # readPrec :: ReadPrec Color # readListPrec :: ReadPrec [Color] #
Show Color # |
Instance details Defined in HieDb.Html Methods showsPrec :: Int -> Color -> ShowS # show :: Color -> String # showList :: [Color] -> ShowS #
Eq Color # |
Instance details Defined in HieDb.Html Methods (==) :: Color -> Color -> Bool # (/=) :: Color -> Color -> Bool #
Ord Color # |
Instance details Defined in HieDb.Html Methods compare :: Color -> Color -> Ordering # (<) :: Color -> Color -> Bool # (<=) :: Color -> Color -> Bool # (>) :: Color -> Color -> Bool # (>=) :: Color -> Color -> Bool # max :: Color -> Color -> Color # min :: Color -> Color -> Color #

data Span #

Constructors

Span |
Fields spStartLine :: !Int spStartColumn :: !Int spEndLine :: !Int spEndColumn :: !Int spColor :: !Color

#### Instances

Instances details

Read Span # |
Instance details Defined in HieDb.Html Methods readsPrec :: Int -> ReadS Span # readList :: ReadS [Span] # readPrec :: ReadPrec Span # readListPrec :: ReadPrec [Span] #
Show Span # |
Instance details Defined in HieDb.Html Methods showsPrec :: Int -> Span -> ShowS # show :: Span -> String # showList :: [Span] -> ShowS #
Eq Span # |
Instance details Defined in HieDb.Html Methods (==) :: Span -> Span -> Bool # (/=) :: Span -> Span -> Bool #
Ord Span # |
Instance details Defined in HieDb.Html Methods compare :: Span -> Span -> Ordering # (<) :: Span -> Span -> Bool # (<=) :: Span -> Span -> Bool # (>) :: Span -> Span -> Bool # (>=) :: Span -> Span -> Bool # max :: Span -> Span -> Span # min :: Span -> Span -> Span #

generate :: FilePath -> ModuleName -> [Text] -> [Span] -> IO () #